
Infrastructure - Task #1620

Story # 1619 (Closed): Revise AccessPolicy and AccessRule

Obtain concensus for proposed change

2011-06-06 15:56 - Dave Vieglais

Status: Closed Start date: 2011-06-06

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Sprint-2011.23-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-06-06 17:32 - Dave Vieglais

- Status changed from New to In Progress

Discussion on 2011-06-06:

1. It is a good thing to be able to set the permissions on multiple objects at once.

2. The mechanism for (1) should be a new API call rather than the current approach of overloading the setAccessPolicy method, as the

AccessPolicy type definition confusing when used in two way - one to define the access control rules for a single object (in system metadata),

the other as a mechanism for settign the access control on multiple objects (through the setAccessPolicy method).

Conclusions:

1. remove "resource" from AccessRule.

2. create a new authorization API method that enables setting the access rules on multiple objects with a single call.

#2 - 2011-06-06 17:33 - Dave Vieglais

- Category set to Authentication, Authorization

#3 - 2011-06-07 15:51 - Dave Vieglais

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Powered by TCPDF (www.tcpdf.org)

2024-04-26 1/1

http://www.tcpdf.org

